package alx.p04_operatory;

public class Bitowe2 {

	public static void main(String[] args) {
		int x = 0b00000000000000000000000000011001;
		int y = -x;
		int z = 0b11111111111111111111111111100111;
		System.out.println(x);
		System.out.println(y);
		System.out.println(z);
		System.out.println();

		System.out.println("<<");
		System.out.println(x << 2);
		System.out.println(y << 2);
		System.out.println(z << 2);
		System.out.println(0b11111111111111111111111110011100);  // -100
		System.out.println();

		System.out.println(">>");
		System.out.println(x >> 2);
		System.out.println(y >> 2);
		System.out.println(0b11111111111111111111111111111001);
		System.out.println();

		System.out.println(">>>");
		System.out.println(x >>> 2);
		System.out.println(y >>> 2);
		System.out.println(0b00111111111111111111111111111001);
		System.out.println();
	}

}
